import { CMS } from 'alinea/core/CMS';
import { Config } from 'alinea/core/Config';
import { User } from 'alinea/core/User';
export interface PreviewProps {
    widget?: boolean;
    workspace?: string;
    root?: string;
}
export declare class NextCMS<Definition extends Config = Config> extends CMS<Definition> {
    baseUrl?: string | undefined;
    constructor(config: Definition, baseUrl?: string | undefined);
    user(): Promise<User | undefined>;
    previews: ({ widget, workspace, root }: PreviewProps) => Promise<import("react/jsx-runtime").JSX.Element | null>;
}
export declare function createCMS<Definition extends Config>(config: Definition): NextCMS<Definition>;
