import "../../chunks/chunk-U5RRZUYZ.js";

// src/backend/loader/JsonLoader.ts
var encoder = new TextEncoder();
var decoder = new TextDecoder();
var JsonLoader = {
  extension: ".json",
  parse(schema, input) {
    const raw = JSON.parse(decoder.decode(input));
    return raw;
  },
  format(schema, entry) {
    return encoder.encode(JSON.stringify(entry, null, "  "));
  }
};
export {
  JsonLoader
};
