import { Draft } from 'alinea/core/Draft';
import { PreviewRequest } from 'alinea/core/Resolver';
import { Database } from '../Database.js';
export declare function createPreviewParser(db: Database): {
    parse(preview: PreviewRequest, sync: () => Promise<unknown>, getDraft: (entryId: string) => Promise<Draft | undefined>): Promise<PreviewRequest | undefined>;
    setDraft(entryId: string, input: {
        contentHash: string;
        draft?: Draft;
    }): void;
};
