import "../../chunks/chunk-U5RRZUYZ.js";

// src/backend/test/ExampleTypes.ts
import { type } from "alinea/core/Type";
import { path, tab, tabs, text } from "alinea/field";
var TypeWithTabs = type("Type", {
  title: text("Title"),
  path: path("Path"),
  ...tabs(
    tab("Tab 1", {
      name: path("Name")
    }),
    tab("Tab 2", {
      name: text("Name"),
      name2: text("Name")
    })
  ),
  [type.meta]: {
    isContainer: true
  }
});
export {
  TypeWithTabs
};
