import "../../chunks/chunk-U5RRZUYZ.js";

// src/backend/util/JWTPreviews.ts
import { sign, verify } from "alinea/core/util/JWT";
var JWTPreviews = class {
  constructor(secret) {
    this.secret = secret;
  }
  sign(data) {
    return sign(data, this.secret);
  }
  verify(token) {
    return verify(token, this.secret);
  }
};
export {
  JWTPreviews
};
