import "../../chunks/chunk-U5RRZUYZ.js";

// src/cli/serve/LocalAuth.ts
import { gitUser } from "alinea/backend/util/ExecGit";
function localAuth(rootDir) {
  const user = gitUser(rootDir);
  return {
    async authenticate(ctx, request) {
      return new Response("ok");
    },
    async verify(ctx, request) {
      return { ...ctx, user: await user, token: "dev" };
    }
  };
}
export {
  localAuth
};
