import {
  compareVersions
} from "../../chunks/chunk-ZQJ6MIYG.js";
import "../../chunks/chunk-U5RRZUYZ.js";

// src/cli/util/EnsureNode.ts
function ensureNode() {
  if (globalThis.Bun)
    return;
  if (!process.version)
    return;
  const isValidNode = compareVersions.compare(process.version, "18.0.0", ">=");
  if (isValidNode)
    return;
  console.error(`Alinea requires Node version 18 or higher`);
  process.exit(1);
}
export {
  ensureNode
};
