import "../../chunks/chunk-U5RRZUYZ.js";

// src/cli/util/IgnorePlugin.ts
var ignorePlugin = {
  name: "ignore",
  setup(build) {
    const commonExtensions = [
      "html",
      "scss",
      "less",
      "png",
      "jpg",
      "gif",
      "svg"
    ];
    const filter = new RegExp(
      `(${commonExtensions.map((ext) => `\\.${ext}`).join("|")})$`
    );
    build.onLoad({ filter }, (args) => {
      return { contents: "export default null" };
    });
  }
};
export {
  ignorePlugin
};
