import "../../chunks/chunk-U5RRZUYZ.js";

// src/cli/util/PublicDefines.ts
var publicEnvKeys = ["NEXT_PUBLIC_", "PUBLIC_", "VITE_", "GATSBY_"];
function publicDefines(environment) {
  return Object.fromEntries(
    Object.entries(environment).filter(([key, value]) => {
      for (const prefix of publicEnvKeys)
        if (key.startsWith(prefix))
          return true;
      return false;
    }).map(([key, value]) => {
      return [`process.env.${key}`, JSON.stringify(value)];
    })
  );
}
export {
  publicDefines
};
