import "../../chunks/chunk-U5RRZUYZ.js";

// src/cli/util/Report.ts
function reportHalt(message) {
  process.stdout.write(`${red(bold("Error:"))} ${message}
`);
}
var ansiSupported = process.stdout.isTTY || process.env.FORCE_COLOR;
var ansi = (start, end = 39) => (input) => ansiSupported ? `\x1B[${start}m${input}\x1B[${end}m` : input;
var red = ansi(31);
var gray = ansi(90);
var cyan = ansi(36);
var yellow = ansi(33);
var bold = ansi(1, 0);
var redBg = ansi(41, 49);
export {
  bold,
  cyan,
  gray,
  red,
  redBg,
  reportHalt,
  yellow
};
