import { Request } from '@alinea/iso';
import { Database } from 'alinea/backend/Database';
import { PreviewRequest } from './Resolver.js';
import { User } from './User.js';
export interface RequestContext {
    db: Database;
    auth?: {
        token: string;
        user: User;
    };
    preview?: PreviewRequest;
    apiKey?: string;
}
export interface CreateContext {
    (request: Request): Promise<RequestContext>;
}
export declare class Driver {
    #private;
    constructor(createContext: CreateContext);
}
