import "../chunks/chunk-U5RRZUYZ.js";

// src/core/Tracker.ts
import { Field } from "./Field.js";
var optionTrackers = /* @__PURE__ */ new Map();
function optionTrackerOf(field) {
  return optionTrackers.get(Field.ref(field));
}
var valueTrackers = /* @__PURE__ */ new Map();
function valueTrackerOf(field) {
  return valueTrackers.get(Field.ref(field));
}
var track;
((track2) => {
  function options(field, tracker) {
    optionTrackers.set(Field.ref(field), tracker);
    return field;
  }
  track2.options = options;
  function value(field, tracker) {
    valueTrackers.set(Field.ref(field), tracker);
    return field;
  }
  track2.value = value;
})(track || (track = {}));
export {
  optionTrackerOf,
  track,
  valueTrackerOf
};
