import "../../chunks/chunk-U5RRZUYZ.js";

// src/core/field/UnionField.ts
import { Field } from "../Field.js";
import { Schema } from "../Schema.js";
import { UnionShape } from "../shape/UnionShape.js";
var UnionField = class extends Field {
  constructor(schema, shapes, meta) {
    super({
      shape: new UnionShape(
        meta.options.label,
        shapes,
        meta.options.initialValue,
        meta.postProcess
      ),
      referencedViews: schema ? Schema.referencedViews(schema) : [],
      ...meta
    });
  }
};
export {
  UnionField
};
