import "../../chunks/chunk-U5RRZUYZ.js";

// src/core/media/MediaRoot.ts
import { IcRoundPermMedia } from "alinea/ui/icons/IcRoundPermMedia";
import { root } from "../Root.js";
function createMediaRoot(children = {}) {
  return root("Media", {
    icon: IcRoundPermMedia,
    contains: ["MediaLibrary"],
    view: "alinea/dashboard/view/MediaExplorer#MediaExplorer",
    isMediaRoot: true,
    entries: {
      ...children
    }
  });
}
export {
  createMediaRoot
};
