import { Config } from '../Config.js';
import { EntryRow } from '../EntryRow.js';
export declare function createEntryRow<T extends EntryRow>(config: Config, input: Omit<T, 'rowHash' | 'fileHash'>): Promise<T>;
export declare function entryParentPaths(config: Config, entry: EntryRow): Array<string>;
export declare function publishEntryRow(config: Config, entry: EntryRow): EntryRow;
