import "../../chunks/chunk-U5RRZUYZ.js";

// src/core/util/Slugs.ts
var strip = /([^\p{L}\p{N}\p{Emoji}\p{Emoji_Component}]|\p{P}(?!\u{fe0f}))+/gu;
var separator = "-";
var trim = new RegExp(`^${separator}+|${separator}+$`, "g");
function isSeparator(char) {
  return strip.test(char);
}
function slugify(input) {
  return input.replace(strip, separator).replace(trim, "").toLowerCase();
}
export {
  isSeparator,
  slugify
};
