import { Config } from 'alinea/core/Config';
import { Connection } from 'alinea/core/Connection';
import { ComponentType } from 'react';
import { QueryClient } from 'react-query';
export interface AppProps {
    config: Config;
    views: Record<string, ComponentType<any>>;
    client: Connection;
    queryClient?: QueryClient;
    fullPage?: boolean;
    dev?: boolean;
    alineaDev?: boolean;
}
export declare function App(props: AppProps): import("react/jsx-runtime").JSX.Element;
