import "../chunks/chunk-U5RRZUYZ.js";

// src/dashboard/Welcome.tsx
import { px, Typo, VStack } from "alinea/ui";
import { jsx, jsxs } from "react/jsx-runtime";
function Welcome() {
  return /* @__PURE__ */ jsxs(VStack, { gap: 20, style: { marginTop: px(20), padding: px(6) }, children: [
    /* @__PURE__ */ jsx("p", { children: "Your alinea installation is now ready for configuration." }),
    /* @__PURE__ */ jsx(
      Typo.Link,
      {
        href: "https://alinea.sh/docs/configuration/intro",
        target: "_blank",
        children: "Learn how to configure"
      }
    )
  ] });
}
export {
  Welcome
};
