import { Connection } from 'alinea/core/Connection';
import { Session } from 'alinea/core/Session';
import { QueryClient } from 'react-query';
import { AppProps } from '../App.js';
export declare const sessionAtom: import("jotai").PrimitiveAtom<Session | undefined> & {
    init: Session | undefined;
};
export declare const dashboardOptionsAtom: import("jotai").PrimitiveAtom<AppProps> & {
    init: AppProps;
};
export declare function useSetDashboardOptions(options: AppProps): void;
export declare const queryClientAtom: import("jotai").PrimitiveAtom<QueryClient> & {
    init: QueryClient;
};
export declare const clientAtom: import("jotai").Atom<Connection>;
export declare const configAtom: import("jotai").Atom<import("alinea/alinea").Config>;
export declare const useSession: () => Session | undefined;
export declare const useConfig: () => import("alinea/alinea").Config;
