import DataLoader from 'dataloader';
export interface EntrySummary {
    entryId: string;
    i18nId: string;
    type: string;
    workspace: string;
    root: string;
    title: string;
    parents: Array<{
        entryId: string;
        i18nId: string;
        title: string;
    }>;
    childrenAmount: number;
}
export declare const entrySummaryLoaderAtom: import("jotai").Atom<Promise<DataLoader<string, EntrySummary, string>>>;
export declare const entrySummaryAtoms: import("jotai/vanilla/utils/atomFamily.js").AtomFamily<string, import("jotai").Atom<Promise<EntrySummary | undefined>>>;
