import { Root } from 'alinea/core/Root';
import { EntryLocation } from '../DashboardNav.js';
export declare const workspaceAtom: import("jotai").Atom<{
    label: string;
    roots: {
        [x: string]: Root;
    };
    color: string;
    source: string;
    mediaDir?: string;
    icon?: import("react").ComponentType;
    preview?: import("alinea/core/Preview").Preview;
    name: string;
}>;
export declare const rootAtom: import("jotai").Atom<{
    label: string;
    contains?: Array<string | import("alinea/alinea").Type>;
    icon?: import("react").ComponentType;
    i18n?: import("alinea/core/Root").RootI18n;
    view?: import("alinea/core/View").View<{
        root: import("alinea/core/Root").RootData;
    }>;
    isMediaRoot?: boolean;
    preview?: import("alinea/core/Preview").Preview;
    name: string;
}>;
export declare const preferredLanguageAtom: import("jotai").WritableAtom<string | undefined, [string | typeof import("jotai/utils").RESET | ((prev: string | undefined) => string | typeof import("jotai/utils").RESET | undefined) | undefined], void>;
export declare const localeAtom: import("jotai").Atom<string | undefined>;
export declare const entryLocationAtom: import("jotai").Atom<EntryLocation>;
export declare const navAtom: import("jotai").Atom<{
    matchEntry: "/entry/*";
    matchEntryId: "/:action/:workspace/:root?/:entryId?";
    matchWorkspace: "/:action/:workspace";
    matchRoot: "/:action/:workspace/:root";
    root: ({ entryId, i18nId, ...location }: EntryLocation) => string;
    entry: (location: EntryLocation) => string;
    draft: (location: EntryLocation) => string;
    create: (location: EntryLocation) => string;
}>;
export declare const usePreferredLanguage: () => [string | undefined, (args_0: string | typeof import("jotai/utils").RESET | ((prev: string | undefined) => string | typeof import("jotai/utils").RESET | undefined) | undefined) => void];
