export type ColorScheme = 'light' | 'dark' | undefined;
export type Language = 'en' | undefined;
export interface Preferences {
    scheme: ColorScheme;
    workspace: string | undefined;
    size: number;
    language: Language;
}
export declare const preferencesAtom: import("jotai").WritableAtom<Preferences, [Preferences | typeof import("jotai/utils").RESET | ((prev: Preferences) => Preferences | typeof import("jotai/utils").RESET)], void>;
export declare const schemePreferenceAtom: import("jotai").WritableAtom<ColorScheme, [scheme: ColorScheme], void>;
export declare const toggleSchemePreferenceAtom: import("jotai").WritableAtom<null, [], void> & {
    init: null;
};
export declare const workspacePreferenceAtom: import("jotai").WritableAtom<string | undefined, [workspace: string | undefined], void>;
export declare const sizePreferenceAtom: import("jotai").WritableAtom<number, [size: number], void>;
export declare const languagePreferenceAtom: import("jotai").WritableAtom<Language, [language: Language], void>;
