import {
  dist_default
} from "../../chunks/chunk-ANJZSESR.js";
import "../../chunks/chunk-U5RRZUYZ.js";

// src/dashboard/view/Breadcrumbs.tsx
import { HStack, Icon } from "alinea/ui";
import { IcRoundKeyboardArrowRight } from "alinea/ui/icons/IcRoundKeyboardArrowRight";
import { Fragment } from "react";

// src/dashboard/view/Breadcrumbs.module.scss
var Breadcrumbs_module_default = {
  "root": "alinea-Breadcrumbs",
  "root-separator": "alinea-Breadcrumbs-separator",
  "rootSeparator": "alinea-Breadcrumbs-separator"
};

// src/dashboard/view/Breadcrumbs.tsx
import { jsx, jsxs } from "react/jsx-runtime";
var styles = dist_default(Breadcrumbs_module_default);
function Breadcrumbs({ children }) {
  return /* @__PURE__ */ jsx(HStack, { center: true, gap: 8, className: styles.root(), children });
}
function BreadcrumbsItem({ children }) {
  return /* @__PURE__ */ jsxs(Fragment, { children: [
    children,
    /* @__PURE__ */ jsx("span", { className: styles.root.separator(), children: /* @__PURE__ */ jsx(Icon, { icon: IcRoundKeyboardArrowRight, size: 17 }) })
  ] });
}
export {
  Breadcrumbs,
  BreadcrumbsItem
};
