import { ComponentType, HTMLAttributes, HTMLProps } from 'react';
export type IconButtonProps = HTMLAttributes<HTMLButtonElement> & {
    icon: ComponentType;
    size?: number;
    active?: boolean;
    disabled?: boolean;
};
export declare const IconButton: import("react").ForwardRefExoticComponent<HTMLAttributes<HTMLButtonElement> & {
    icon: ComponentType;
    size?: number;
    active?: boolean;
    disabled?: boolean;
} & import("react").RefAttributes<HTMLButtonElement>>;
export type IconLinkProps = HTMLProps<HTMLAnchorElement> & {
    icon: ComponentType;
    active?: boolean;
};
export declare const IconLink: import("react").ForwardRefExoticComponent<Omit<IconLinkProps, "ref"> & import("react").RefAttributes<HTMLAnchorElement>>;
