import {
  dist_default
} from "../../../chunks/chunk-ANJZSESR.js";
import "../../../chunks/chunk-U5RRZUYZ.js";

// src/dashboard/view/diff/ChangeBox.tsx
import { HStack, Icon } from "alinea/ui";
import { IcOutlineArrowCircleRight } from "alinea/ui/icons/IcOutlineArrowCircleRight";
import { IcRoundAddCircleOutline } from "alinea/ui/icons/IcRoundAddCircleOutline";
import { IcRoundMoreHoriz } from "alinea/ui/icons/IcRoundMoreHoriz";
import { IcRoundRemoveCircleOutline } from "alinea/ui/icons/IcRoundRemoveCircleOutline";

// src/dashboard/view/diff/ChangeBox.module.scss
var ChangeBox_module_default = {
  "root": "alinea-ChangeBox",
  "root-content": "alinea-ChangeBox-content",
  "rootContent": "alinea-ChangeBox-content",
  "is-equal": "alinea-ChangeBox-is-equal",
  "isEqual": "alinea-ChangeBox-is-equal",
  "is-addition": "alinea-ChangeBox-is-addition",
  "isAddition": "alinea-ChangeBox-is-addition",
  "is-removal": "alinea-ChangeBox-is-removal",
  "isRemoval": "alinea-ChangeBox-is-removal",
  "root-header": "alinea-ChangeBox-header",
  "rootHeader": "alinea-ChangeBox-header"
};

// src/dashboard/view/diff/ChangeBox.tsx
import { jsx } from "react/jsx-runtime";
var styles = dist_default(ChangeBox_module_default);
function ChangeBox({ change, children }) {
  return /* @__PURE__ */ jsx(HStack, { gap: 8, className: styles.root(change), children: change !== "equal" ? /* @__PURE__ */ jsx("div", { className: styles.root.content(), children }) : /* @__PURE__ */ jsx(HStack, { center: true, justify: "center", full: true, children: /* @__PURE__ */ jsx(Icon, { icon: IcRoundMoreHoriz }) }) });
}
export {
  ChangeBox
};
