import {
  dist_default
} from "../../../chunks/chunk-ANJZSESR.js";
import "../../../chunks/chunk-U5RRZUYZ.js";

// src/dashboard/view/entry/RootHeader.tsx
import { link } from "alinea/dashboard/util/HashRouter";
import { TextLabel } from "alinea/ui";
import { useNav } from "../../hook/UseNav.js";
import { useRoot } from "../../hook/UseRoot.js";
import { useWorkspace } from "../../hook/UseWorkspace.js";

// src/dashboard/view/entry/RootHeader.module.scss
var RootHeader_module_default = {
  "root": "alinea-RootHeader",
  "root-inner": "alinea-RootHeader-inner",
  "rootInner": "alinea-RootHeader-inner",
  "root-link": "alinea-RootHeader-link",
  "rootLink": "alinea-RootHeader-link",
  "is-active": "alinea-RootHeader-is-active",
  "isActive": "alinea-RootHeader-is-active",
  "langswitch": "alinea-RootHeader-langswitch",
  "langswitch-input": "alinea-RootHeader-langswitch-input",
  "langswitchInput": "alinea-RootHeader-langswitch-input",
  "langswitch-input-label": "alinea-RootHeader-langswitch-input-label",
  "langswitchInputLabel": "alinea-RootHeader-langswitch-input-label",
  "is-placeholder": "alinea-RootHeader-is-placeholder",
  "isPlaceholder": "alinea-RootHeader-is-placeholder",
  "langswitch-input-icon": "alinea-RootHeader-langswitch-input-icon",
  "langswitchInputIcon": "alinea-RootHeader-langswitch-input-icon",
  "langswitch-dropdown": "alinea-RootHeader-langswitch-dropdown",
  "langswitchDropdown": "alinea-RootHeader-langswitch-dropdown",
  "langswitch-dropdown-inner": "alinea-RootHeader-langswitch-dropdown-inner",
  "langswitchDropdownInner": "alinea-RootHeader-langswitch-dropdown-inner",
  "langswitch-dropdown-option": "alinea-RootHeader-langswitch-dropdown-option",
  "langswitchDropdownOption": "alinea-RootHeader-langswitch-dropdown-option",
  "is-selected": "alinea-RootHeader-is-selected",
  "isSelected": "alinea-RootHeader-is-selected",
  "langswitch-dropdown-option-icon": "alinea-RootHeader-langswitch-dropdown-option-icon",
  "langswitchDropdownOptionIcon": "alinea-RootHeader-langswitch-dropdown-option-icon"
};

// src/dashboard/view/entry/RootHeader.tsx
import { jsx } from "react/jsx-runtime";
var styles = dist_default(RootHeader_module_default);
function RootHeader({ active }) {
  const nav = useNav();
  const root = useRoot();
  const { name: workspace } = useWorkspace();
  return /* @__PURE__ */ jsx("div", { className: styles.root({ active }), children: /* @__PURE__ */ jsx("div", { className: styles.root.inner(), children: /* @__PURE__ */ jsx(
    "a",
    {
      ...link(nav.root({ workspace, root: root.name })),
      className: styles.root.link(),
      children: /* @__PURE__ */ jsx(TextLabel, { label: root.label })
    }
  ) }) });
}
export {
  RootHeader
};
