import { PreviewMetadata } from 'alinea/core/Resolver';
import { PropsWithChildren } from 'react';
import { LivePreview } from '../entry/EntryPreview.js';
export interface BrowserPreviewProps {
    url: string;
    registerLivePreview(api: LivePreview): void;
}
export declare const BrowserPreviewMetaProvider: React.FC<PropsWithChildren<{
    entryId: string;
}>>;
export declare function usePreviewMetadata(): PreviewMetadata | undefined;
export declare function BrowserPreview({ url, registerLivePreview }: BrowserPreviewProps): import("react/jsx-runtime").JSX.Element;
