import {
  dist_default
} from "../../chunks/chunk-ANJZSESR.js";
import "../../chunks/chunk-U5RRZUYZ.js";

// src/field/date/DateField.view.tsx
import { useField } from "alinea/dashboard/editor/UseField";
import { InputLabel } from "alinea/dashboard/view/InputLabel";
import { IcRoundDateRange } from "alinea/ui/icons/IcRoundDateRange";

// src/field/date/DateField.module.scss
var DateField_module_default = {
  "root-input": "alinea-DateField-input",
  "rootInput": "alinea-DateField-input"
};

// src/field/date/DateField.view.tsx
import { jsx } from "react/jsx-runtime";
var styles = dist_default(DateField_module_default);
function DateInput({ field }) {
  const { options, value, mutator, error } = useField(field);
  return /* @__PURE__ */ jsx(InputLabel, { asLabel: true, ...options, error, icon: IcRoundDateRange, children: /* @__PURE__ */ jsx(
    "input",
    {
      className: styles.root.input(),
      type: "date",
      value: value ?? "",
      onChange: (e) => mutator(e.currentTarget.value),
      autoFocus: options.autoFocus,
      readOnly: options.readOnly
    }
  ) });
}
export {
  DateInput
};
