import "../../chunks/chunk-U5RRZUYZ.js";

// src/field/link/EntryLink.ts
import { Entry } from "alinea/core";
import {
  createLink,
  createLinks
} from "alinea/field/link/LinkField";
import { entryPicker } from "alinea/picker/entry";
var EntryLink;
((EntryLink2) => {
  EntryLink2.entryId = Entry.entryId;
  EntryLink2.i18nId = Entry.i18nId;
  EntryLink2.title = Entry.title;
  EntryLink2.entryType = Entry.type;
  EntryLink2.url = Entry.url;
  EntryLink2.href = Entry.url;
  EntryLink2.path = Entry.path;
})(EntryLink || (EntryLink = {}));
function entry(label, options = {}) {
  return createLink(label, {
    ...options,
    pickers: {
      entry: entryPicker({
        ...options,
        withNavigation: Boolean(options.location || !options.condition),
        title: "Select a page",
        max: 1,
        selection: EntryLink
      })
    }
  });
}
((entry2) => {
  function multiple(label, options = {}) {
    return createLinks(label, {
      ...options,
      pickers: {
        entry: entryPicker({
          ...options,
          withNavigation: !options.condition,
          title: "Select a page",
          selection: EntryLink
        })
      }
    });
  }
  entry2.multiple = multiple;
})(entry || (entry = {}));
export {
  EntryLink,
  entry
};
