import { Reference } from 'alinea/core/Reference';
import { ListRow } from 'alinea/core/shape/ListShape';
import { LinkField, LinksField } from './LinkField.js';
export type * from './LinkField.js';
export interface LinkInputProps<Row> {
    field: LinkField<Reference, Row>;
}
export declare function SingleLinkInput<Row>({ field }: LinkInputProps<Row>): import("react/jsx-runtime").JSX.Element;
export interface LinksInputProps<Row> {
    field: LinksField<ListRow, Row>;
}
export declare function MultipleLinksInput<Row>({ field }: LinksInputProps<Row>): import("react/jsx-runtime").JSX.Element;
