import type { FieldOptions, WithoutLabel } from 'alinea/core/Field';
import { Type, TypeFields } from 'alinea/core/Type';
import { RecordField } from 'alinea/core/field/RecordField';
export interface ObjectOptions<Definition> extends FieldOptions<Type.Infer<Definition>> {
    fields: Type<Definition>;
}
export declare class ObjectField<Definition> extends RecordField<Type.Infer<Definition>, ObjectOptions<Definition>> {
}
export declare function object<Definition extends TypeFields>(label: string, options: WithoutLabel<{
    fields: Definition;
} & FieldOptions<Definition>>): ObjectField<Definition>;
/** @deprecated Define fields directly, without using Type */
export declare function object<Definition extends TypeFields>(label: string, options: WithoutLabel<{
    fields: Type<Definition>;
} & FieldOptions<Definition>>): ObjectField<Definition>;
