import "../../chunks/chunk-U5RRZUYZ.js";

// src/field/object/ObjectField.ts
import { Type, type } from "alinea/core/Type";
import { RecordField } from "alinea/core/field/RecordField";
var ObjectField = class extends RecordField {
};
function object(label, options) {
  const fields = Type.isType(options.fields) ? options.fields : type({ fields: options.fields });
  return new ObjectField(fields, {
    options: { label, ...options, fields },
    view: "alinea/field/object/ObjectField.view#ObjectInput"
  });
}
export {
  ObjectField,
  object
};
