import "../../chunks/chunk-U5RRZUYZ.js";

// src/field/path/PathField.ts
import { ScalarField } from "alinea/core/field/ScalarField";
var PathField = class extends ScalarField {
};
function path(label, options = {}) {
  if (options.shared)
    throw new Error(`The shared option is not supported on Path fields`);
  return new PathField({
    options: { label, ...options },
    view: "alinea/field/path/PathField.view#PathInput"
  });
}
export {
  PathField,
  path
};
