import "../../chunks/chunk-U5RRZUYZ.js";

// src/field/select/SelectField.ts
import { ScalarField } from "alinea/core/field/ScalarField";
var SelectField = class extends ScalarField {
};
function select(label, itemsOrOptions, options) {
  const items = itemsOrOptions.options ?? itemsOrOptions;
  const fieldOptions = itemsOrOptions.options ? itemsOrOptions : options;
  return new SelectField({
    options: {
      label,
      options: items,
      ...fieldOptions
    },
    view: "alinea/field/select/SelectField.view#SelectInput"
  });
}
export {
  SelectField,
  select
};
