import { Field } from 'alinea/core/Field';
import { Section, SectionData, SectionDefinition } from 'alinea/core/Section';
import { View } from 'alinea/core/View';
import { ReactNode } from 'react';
export declare class ViewSection implements SectionData {
    view: View<{
        section: Section;
    }>;
    definition: SectionDefinition;
    fields: Record<string, Field>;
    sections: never[];
    constructor(view: View<{
        section: Section;
    }>);
}
export declare function view(view: string | ReactNode): import("alinea/core/Section").SectionI;
