import {
  dist_default
} from "../chunks/chunk-ANJZSESR.js";
import "../chunks/chunk-U5RRZUYZ.js";

// src/ui/AppBar.module.scss
var AppBar_module_default = {
  "root": "alinea-AppBar",
  "is-draft": "alinea-AppBar-is-draft",
  "isDraft": "alinea-AppBar-is-draft",
  "is-editing": "alinea-AppBar-is-editing",
  "isEditing": "alinea-AppBar-is-editing",
  "is-revision": "alinea-AppBar-is-revision",
  "isRevision": "alinea-AppBar-is-revision",
  "is-published": "alinea-AppBar-is-published",
  "isPublished": "alinea-AppBar-is-published",
  "is-archived": "alinea-AppBar-is-archived",
  "isArchived": "alinea-AppBar-is-archived",
  "is-transition": "alinea-AppBar-is-transition",
  "isTransition": "alinea-AppBar-is-transition",
  "item": "alinea-AppBar-item",
  "item-icon": "alinea-AppBar-item-icon",
  "itemIcon": "alinea-AppBar-item-icon",
  "is-interactive": "alinea-AppBar-is-interactive",
  "isInteractive": "alinea-AppBar-is-interactive",
  "is-active": "alinea-AppBar-is-active",
  "isActive": "alinea-AppBar-is-active"
};

// src/ui/AppBar.tsx
import { Icon } from "./Icon.js";
import { HStack } from "./Stack.js";
import { jsx, jsxs } from "react/jsx-runtime";
var styles = dist_default(AppBar_module_default);
var AppBar;
((AppBar2) => {
  function Root({ variant, ...props }) {
    return /* @__PURE__ */ jsx("header", { ...props, className: styles.root.mergeProps(props)(variant) });
  }
  AppBar2.Root = Root;
  function Item({
    children,
    as: Tag = "div",
    full,
    icon,
    active,
    ...props
  }) {
    const interactive = Tag === "button" || Tag === "a";
    return /* @__PURE__ */ jsx(
      Tag,
      {
        ...props,
        className: styles.item.mergeProps(props)({ interactive, active }),
        children: /* @__PURE__ */ jsxs(HStack, { center: true, gap: 8, full: true, children: [
          icon && /* @__PURE__ */ jsx("div", { className: styles.item.icon(), children: /* @__PURE__ */ jsx(Icon, { icon }) }),
          children
        ] })
      }
    );
  }
  AppBar2.Item = Item;
})(AppBar || (AppBar = {}));
export {
  AppBar
};
