import type { ComponentType } from 'react';
import { StackProps } from './Stack.js';
export type ChipProps = StackProps & {
    icon?: ComponentType;
    accent?: boolean;
    variant?: 'info' | 'success' | 'disabled' | 'progress';
};
export declare function Chip({ children, icon, accent, variant, ...props }: ChipProps): import("react/jsx-runtime").JSX.Element;
