import {
  dist_default
} from "../chunks/chunk-ANJZSESR.js";
import "../chunks/chunk-U5RRZUYZ.js";

// src/ui/Chip.module.scss
var Chip_module_default = {
  "root": "alinea-Chip",
  "root-icon": "alinea-Chip-icon",
  "rootIcon": "alinea-Chip-icon",
  "root-label": "alinea-Chip-label",
  "rootLabel": "alinea-Chip-label",
  "is-accent": "alinea-Chip-is-accent",
  "isAccent": "alinea-Chip-is-accent",
  "is-disabled": "alinea-Chip-is-disabled",
  "isDisabled": "alinea-Chip-is-disabled",
  "is-info": "alinea-Chip-is-info",
  "isInfo": "alinea-Chip-is-info",
  "is-success": "alinea-Chip-is-success",
  "isSuccess": "alinea-Chip-is-success",
  "is-progress": "alinea-Chip-is-progress",
  "isProgress": "alinea-Chip-is-progress"
};

// src/ui/Chip.tsx
import { Icon } from "./Icon.js";
import { HStack } from "./Stack.js";
import { jsx, jsxs } from "react/jsx-runtime";
var styles = dist_default(Chip_module_default);
function Chip({ children, icon, accent, variant, ...props }) {
  return /* @__PURE__ */ jsxs(
    HStack,
    {
      center: true,
      ...props,
      className: styles.root.mergeProps(props)({ accent }, variant),
      children: [
        icon && /* @__PURE__ */ jsx(Icon, { className: styles.root.icon(), icon }),
        /* @__PURE__ */ jsx("div", { className: styles.root.label(), children })
      ]
    }
  );
}
export {
  Chip
};
