import { PopoverButtonProps } from '@headlessui/react';
import { HTMLAttributes, PropsWithChildren } from 'react';
export declare namespace PopoverMenu {
    function Root(props: HTMLAttributes<HTMLDivElement>): import("react/jsx-runtime").JSX.Element;
    function Trigger(props: PopoverButtonProps<'button'>): import("react/jsx-runtime").JSX.Element;
    function Items({ left, right, ...props }: HTMLAttributes<HTMLDivElement> & {
        left?: boolean;
        right?: boolean;
    }): import("react/jsx-runtime").JSX.Element;
    function Header({ children }: PropsWithChildren<{}>): import("react/jsx-runtime").JSX.Element;
    function Footer({ children }: PropsWithChildren<{}>): import("react/jsx-runtime").JSX.Element;
}
