import { CSSProperties, HTMLAttributes, HTMLProps, PropsWithChildren, PropsWithRef } from 'react';
export type StackProps = PropsWithRef<Omit<HTMLProps<HTMLDivElement>, 'wrap'> & {
    gap?: number | string;
    direction?: CSSProperties['flexDirection'];
    align?: CSSProperties['alignItems'];
    justify?: CSSProperties['justifyContent'];
    horizontal?: boolean;
    wrap?: boolean;
    center?: boolean;
    full?: boolean;
    autoWidth?: boolean;
}>;
export declare const VStack: import("react").ForwardRefExoticComponent<Omit<Omit<Omit<HTMLProps<HTMLDivElement>, "wrap"> & {
    gap?: number | string;
    direction?: CSSProperties["flexDirection"];
    align?: CSSProperties["alignItems"];
    justify?: CSSProperties["justifyContent"];
    horizontal?: boolean;
    wrap?: boolean;
    center?: boolean;
    full?: boolean;
    autoWidth?: boolean;
}, "ref"> & {
    ref?: ((instance: HTMLDivElement | null) => void) | import("react").RefObject<HTMLDivElement> | null | undefined;
}, "ref"> & import("react").RefAttributes<HTMLDivElement>>;
export declare const HStack: typeof VStack;
export declare namespace Stack {
    function Left(props: PropsWithChildren<HTMLAttributes<HTMLDivElement>>): import("react/jsx-runtime").JSX.Element;
    function Center(props: PropsWithChildren<HTMLAttributes<HTMLDivElement>>): import("react/jsx-runtime").JSX.Element;
    function Right(props: PropsWithChildren<HTMLAttributes<HTMLDivElement>>): import("react/jsx-runtime").JSX.Element;
    function Bottom(props: PropsWithChildren<HTMLAttributes<HTMLDivElement>>): import("react/jsx-runtime").JSX.Element;
}
