import {
  dist_default
} from "../chunks/chunk-ANJZSESR.js";
import "../chunks/chunk-U5RRZUYZ.js";

// src/ui/Statusbar.tsx
import { Icon } from "./Icon.js";
import { HStack } from "./Stack.js";

// src/ui/Statusbar.module.scss
var Statusbar_module_default = {
  "root": "alinea-Statusbar",
  "status": "alinea-Statusbar-status"
};

// src/ui/Statusbar.tsx
import { createSlots } from "./util/Slots.js";
import { jsx, jsxs } from "react/jsx-runtime";
var styles = dist_default(Statusbar_module_default);
var Statusbar;
((Statusbar2) => {
  ({ Provider: Statusbar2.Provider, Portal: Statusbar2.Portal, Slot: Statusbar2.Slot } = createSlots());
  function Root({ children }) {
    return /* @__PURE__ */ jsxs("footer", { className: styles.root(), children: [
      /* @__PURE__ */ jsx(Statusbar2.Portal, {}),
      children
    ] });
  }
  Statusbar2.Root = Root;
  function Status({ children, icon }) {
    return /* @__PURE__ */ jsx("div", { className: styles.status(), children: /* @__PURE__ */ jsxs(HStack, { center: true, gap: 5, children: [
      /* @__PURE__ */ jsx(Icon, { icon }),
      /* @__PURE__ */ jsx("span", { children })
    ] }) });
  }
  Statusbar2.Status = Status;
})(Statusbar || (Statusbar = {}));
export {
  Statusbar
};
