import "../../chunks/chunk-U5RRZUYZ.js";

// src/ui/hook/UseNonInitialEffect.ts
import { useEffect, useRef } from "react";
var useNonInitialEffect = (effect, deps) => {
  const initial = useRef(true);
  useEffect(() => {
    if (initial.current) {
      initial.current = false;
      return;
    }
    return effect();
  }, deps);
};
export {
  useNonInitialEffect
};
