import "../../chunks/chunk-U5RRZUYZ.js";

// src/ui/util/Elevation.tsx
import { createContext, useContext } from "react";
import { jsx } from "react/jsx-runtime";
var elevation = createContext({
  level: 0
});
var useElevation = () => useContext(elevation);
function ElevationProvider({
  children,
  type
}) {
  const { level } = useElevation();
  return /* @__PURE__ */ jsx(elevation.Provider, { value: { level: level + 1, parent: type }, children });
}
export {
  ElevationProvider,
  useElevation
};
