import {
  dist_default
} from "../../chunks/chunk-ANJZSESR.js";
import "../../chunks/chunk-U5RRZUYZ.js";

// src/ui/util/TextareaAutosize.module.scss
var TextareaAutosize_module_default = {
  "root": "alinea-TextareaAutosize",
  "root-textarea": "alinea-TextareaAutosize-textarea",
  "rootTextarea": "alinea-TextareaAutosize-textarea",
  "root-shadow": "alinea-TextareaAutosize-shadow",
  "rootShadow": "alinea-TextareaAutosize-shadow"
};

// src/ui/util/TextareaAutosize.tsx
import { jsx, jsxs } from "react/jsx-runtime";
var styles = dist_default(TextareaAutosize_module_default);
function TextareaAutosize(props) {
  return /* @__PURE__ */ jsxs("div", { className: styles.root(), children: [
    /* @__PURE__ */ jsx(
      "textarea",
      {
        ...props,
        className: styles.root.textarea.mergeProps(props)(),
        rows: 1
      }
    ),
    /* @__PURE__ */ jsx(
      "div",
      {
        "aria-hidden": "true",
        className: styles.root.shadow.mergeProps(props)(),
        children: (props.value || props.placeholder) + " "
      }
    )
  ] });
}
export {
  TextareaAutosize
};
