import "../../chunks/chunk-U5RRZUYZ.js";

// src/adapter/core/cms.ts
import { Client } from "alinea/core/Client";
import { CMS } from "alinea/core/CMS";
import { previewContext } from "./previewContext.js";
var VanillaCMS = class extends CMS {
  async getContext() {
    return previewContext(this);
  }
};
function createCMS(config) {
  const devUrl = process.env.ALINEA_DEV_SERVER;
  const cms = new VanillaCMS(
    config,
    async () => new Client({ url: devUrl ?? "/api/cms" })
  );
  return cms;
}
export {
  VanillaCMS,
  createCMS
};
