export interface NextPreviewsProps {
    dashboardUrl: string;
    widget?: boolean;
    root?: string;
    workspace?: string;
}
export default function NextPreviews({ dashboardUrl, widget, root, workspace }: NextPreviewsProps): import("react/jsx-runtime").JSX.Element | null;
/**
 * Wrapper around `router.refresh()` from `next/navigation` `useRouter()` to return Promise, and resolve after refresh completed
 * @returns Refresh function
 */
export declare function useRouterRefresh(): () => Promise<unknown>;
