import {
  PLazy
} from "../../chunks/chunk-IKINPSS5.js";
import "../../chunks/chunk-U5RRZUYZ.js";

// src/backend/store/GeneratedStore.ts
import { decode } from "alinea/core/util/BufferToBase64";
import { createStore } from "./CreateStore.js";
var generatedStore = PLazy.from(async () => {
  const { storeData } = await import("@alinea/generated/store.js").catch(() => {
    return { storeData: "" };
  });
  return createStore(new Uint8Array(await decode(storeData)));
});
export {
  generatedStore
};
