// node_modules/@headlessui/react/dist/hooks/use-iso-morphic-effect.js
import { useLayoutEffect as t, useEffect as c } from "react";

// node_modules/@headlessui/react/dist/utils/env.js
var i = Object.defineProperty;
var d = (t7, e, n) => e in t7 ? i(t7, e, { enumerable: true, configurable: true, writable: true, value: n }) : t7[e] = n;
var r = (t7, e, n) => (d(t7, typeof e != "symbol" ? e + "" : e, n), n);
var o = class {
  constructor() {
    r(this, "current", this.detect());
    r(this, "handoffState", "pending");
    r(this, "currentId", 0);
  }
  set(e) {
    this.current !== e && (this.handoffState = "pending", this.currentId = 0, this.current = e);
  }
  reset() {
    this.set(this.detect());
  }
  nextId() {
    return ++this.currentId;
  }
  get isServer() {
    return this.current === "server";
  }
  get isClient() {
    return this.current === "client";
  }
  detect() {
    return typeof window == "undefined" || typeof document == "undefined" ? "server" : "client";
  }
  handoff() {
    this.handoffState === "pending" && (this.handoffState = "complete");
  }
  get isHandoffComplete() {
    return this.handoffState === "complete";
  }
};
var s = new o();

// node_modules/@headlessui/react/dist/hooks/use-iso-morphic-effect.js
var l = (e, f) => {
  s.isServer ? c(e, f) : t(e, f);
};

// node_modules/@headlessui/react/dist/hooks/use-latest-value.js
import { useRef as t2 } from "react";
function s2(e) {
  let r2 = t2(e);
  return l(() => {
    r2.current = e;
  }, [e]), r2;
}

// node_modules/@headlessui/react/dist/utils/micro-task.js
function t3(e) {
  typeof queueMicrotask == "function" ? queueMicrotask(e) : Promise.resolve().then(e).catch((o7) => setTimeout(() => {
    throw o7;
  }));
}

// node_modules/@headlessui/react/dist/utils/disposables.js
function o2() {
  let n = [], r2 = { addEventListener(e, t7, s5, a2) {
    return e.addEventListener(t7, s5, a2), r2.add(() => e.removeEventListener(t7, s5, a2));
  }, requestAnimationFrame(...e) {
    let t7 = requestAnimationFrame(...e);
    return r2.add(() => cancelAnimationFrame(t7));
  }, nextFrame(...e) {
    return r2.requestAnimationFrame(() => r2.requestAnimationFrame(...e));
  }, setTimeout(...e) {
    let t7 = setTimeout(...e);
    return r2.add(() => clearTimeout(t7));
  }, microTask(...e) {
    let t7 = { current: true };
    return t3(() => {
      t7.current && e[0]();
    }), r2.add(() => {
      t7.current = false;
    });
  }, style(e, t7, s5) {
    let a2 = e.style.getPropertyValue(t7);
    return Object.assign(e.style, { [t7]: s5 }), this.add(() => {
      Object.assign(e.style, { [t7]: a2 });
    });
  }, group(e) {
    let t7 = o2();
    return e(t7), this.add(() => t7.dispose());
  }, add(e) {
    return n.push(e), () => {
      let t7 = n.indexOf(e);
      if (t7 >= 0)
        for (let s5 of n.splice(t7, 1))
          s5();
    };
  }, dispose() {
    for (let e of n.splice(0))
      e();
  } };
  return r2;
}

// node_modules/@headlessui/react/dist/hooks/use-event.js
import a from "react";
var o3 = function(t7) {
  let e = s2(t7);
  return a.useCallback((...r2) => e.current(...r2), [e]);
};

// node_modules/@headlessui/react/dist/hooks/use-id.js
import t5 from "react";

// node_modules/@headlessui/react/dist/hooks/use-server-handoff-complete.js
import * as t4 from "react";
function s3() {
  let r2 = typeof document == "undefined";
  return "useSyncExternalStore" in t4 ? ((o7) => o7.useSyncExternalStore)(t4)(() => () => {
  }, () => false, () => !r2) : false;
}
function l2() {
  let r2 = s3(), [e, n] = t4.useState(s.isHandoffComplete);
  return e && s.isHandoffComplete === false && n(false), t4.useEffect(() => {
    e !== true && n(true);
  }, [e]), t4.useEffect(() => s.handoff(), []), r2 ? false : e;
}

// node_modules/@headlessui/react/dist/hooks/use-id.js
var o4;
var I = (o4 = t5.useId) != null ? o4 : function() {
  let n = l2(), [e, u3] = t5.useState(n ? () => s.nextId() : null);
  return l(() => {
    e === null && u3(s.nextId());
  }, [e]), e != null ? "" + e : void 0;
};

// node_modules/@headlessui/react/dist/utils/match.js
function u(r2, n, ...a2) {
  if (r2 in n) {
    let e = n[r2];
    return typeof e == "function" ? e(...a2) : e;
  }
  let t7 = new Error(`Tried to handle "${r2}" but there is no handler defined. Only defined handlers are: ${Object.keys(n).map((e) => `"${e}"`).join(", ")}.`);
  throw Error.captureStackTrace && Error.captureStackTrace(t7, u), t7;
}

// node_modules/@headlessui/react/dist/hooks/use-resolve-button-type.js
import { useState as o5 } from "react";
function i2(t7) {
  var n;
  if (t7.type)
    return t7.type;
  let e = (n = t7.as) != null ? n : "button";
  if (typeof e == "string" && e.toLowerCase() === "button")
    return "button";
}
function s4(t7, e) {
  let [n, u3] = o5(() => i2(t7));
  return l(() => {
    u3(i2(t7));
  }, [t7.type, t7.as]), l(() => {
    n || e.current && e.current instanceof HTMLButtonElement && !e.current.hasAttribute("type") && u3("button");
  }, [n, e]), n;
}

// node_modules/@headlessui/react/dist/hooks/use-sync-refs.js
import { useRef as l3, useEffect as i3 } from "react";
var u2 = Symbol();
function T(t7, n = true) {
  return Object.assign(t7, { [u2]: n });
}
function y(...t7) {
  let n = l3(t7);
  i3(() => {
    n.current = t7;
  }, [t7]);
  let c3 = o3((e) => {
    for (let o7 of n.current)
      o7 != null && (typeof o7 == "function" ? o7(e) : o7.current = e);
  });
  return t7.every((e) => e == null || (e == null ? void 0 : e[u2])) ? void 0 : c3;
}

// node_modules/@headlessui/react/dist/utils/render.js
import { Fragment as T2, cloneElement as x, createElement as E, forwardRef as b, isValidElement as h } from "react";

// node_modules/@headlessui/react/dist/utils/class-names.js
function t6(...r2) {
  return Array.from(new Set(r2.flatMap((n) => typeof n == "string" ? n.split(" ") : []))).filter(Boolean).join(" ");
}

// node_modules/@headlessui/react/dist/utils/render.js
var S = ((a2) => (a2[a2.None = 0] = "None", a2[a2.RenderStrategy = 1] = "RenderStrategy", a2[a2.Static = 2] = "Static", a2))(S || {});
var j = ((e) => (e[e.Unmount = 0] = "Unmount", e[e.Hidden = 1] = "Hidden", e))(j || {});
function X({ ourProps: r2, theirProps: t7, slot: e, defaultTag: a2, features: s5, visible: n = true, name: f }) {
  let o7 = N(t7, r2);
  if (n)
    return c2(o7, e, a2, f);
  let u3 = s5 != null ? s5 : 0;
  if (u3 & 2) {
    let { static: l4 = false, ...p } = o7;
    if (l4)
      return c2(p, e, a2, f);
  }
  if (u3 & 1) {
    let { unmount: l4 = true, ...p } = o7;
    return u(l4 ? 0 : 1, { [0]() {
      return null;
    }, [1]() {
      return c2({ ...p, hidden: true, style: { display: "none" } }, e, a2, f);
    } });
  }
  return c2(o7, e, a2, f);
}
function c2(r2, t7 = {}, e, a2) {
  let { as: s5 = e, children: n, refName: f = "ref", ...o7 } = g(r2, ["unmount", "static"]), u3 = r2.ref !== void 0 ? { [f]: r2.ref } : {}, l4 = typeof n == "function" ? n(t7) : n;
  "className" in o7 && o7.className && typeof o7.className == "function" && (o7.className = o7.className(t7));
  let p = {};
  if (t7) {
    let i4 = false, m = [];
    for (let [y2, d2] of Object.entries(t7))
      typeof d2 == "boolean" && (i4 = true), d2 === true && m.push(y2);
    i4 && (p["data-headlessui-state"] = m.join(" "));
  }
  if (s5 === T2 && Object.keys(R(o7)).length > 0) {
    if (!h(l4) || Array.isArray(l4) && l4.length > 1)
      throw new Error(['Passing props on "Fragment"!', "", `The current component <${a2} /> is rendering a "Fragment".`, "However we need to passthrough the following props:", Object.keys(o7).map((d2) => `  - ${d2}`).join(`
`), "", "You can apply a few solutions:", ['Add an `as="..."` prop, to ensure that we render an actual element instead of a "Fragment".', "Render a single element as the child so that we can forward the props onto that element."].map((d2) => `  - ${d2}`).join(`
`)].join(`
`));
    let i4 = l4.props, m = typeof (i4 == null ? void 0 : i4.className) == "function" ? (...d2) => t6(i4 == null ? void 0 : i4.className(...d2), o7.className) : t6(i4 == null ? void 0 : i4.className, o7.className), y2 = m ? { className: m } : {};
    return x(l4, Object.assign({}, N(l4.props, R(g(o7, ["ref"]))), p, u3, w(l4.ref, u3.ref), y2));
  }
  return E(s5, Object.assign({}, g(o7, ["ref"]), s5 !== T2 && u3, s5 !== T2 && p), l4);
}
function w(...r2) {
  return { ref: r2.every((t7) => t7 == null) ? void 0 : (t7) => {
    for (let e of r2)
      e != null && (typeof e == "function" ? e(t7) : e.current = t7);
  } };
}
function N(...r2) {
  var a2;
  if (r2.length === 0)
    return {};
  if (r2.length === 1)
    return r2[0];
  let t7 = {}, e = {};
  for (let s5 of r2)
    for (let n in s5)
      n.startsWith("on") && typeof s5[n] == "function" ? ((a2 = e[n]) != null || (e[n] = []), e[n].push(s5[n])) : t7[n] = s5[n];
  if (t7.disabled || t7["aria-disabled"])
    return Object.assign(t7, Object.fromEntries(Object.keys(e).map((s5) => [s5, void 0])));
  for (let s5 in e)
    Object.assign(t7, { [s5](n, ...f) {
      let o7 = e[s5];
      for (let u3 of o7) {
        if ((n instanceof Event || (n == null ? void 0 : n.nativeEvent) instanceof Event) && n.defaultPrevented)
          return;
        u3(n, ...f);
      }
    } });
  return t7;
}
function D(r2) {
  var t7;
  return Object.assign(b(r2), { displayName: (t7 = r2.displayName) != null ? t7 : r2.name });
}
function R(r2) {
  let t7 = Object.assign({}, r2);
  for (let e in t7)
    t7[e] === void 0 && delete t7[e];
  return t7;
}
function g(r2, t7 = []) {
  let e = Object.assign({}, r2);
  for (let a2 of t7)
    a2 in e && delete e[a2];
  return e;
}

// node_modules/@headlessui/react/dist/components/keyboard.js
var o6 = ((r2) => (r2.Space = " ", r2.Enter = "Enter", r2.Escape = "Escape", r2.Backspace = "Backspace", r2.Delete = "Delete", r2.ArrowLeft = "ArrowLeft", r2.ArrowUp = "ArrowUp", r2.ArrowRight = "ArrowRight", r2.ArrowDown = "ArrowDown", r2.Home = "Home", r2.End = "End", r2.PageUp = "PageUp", r2.PageDown = "PageDown", r2.Tab = "Tab", r2))(o6 || {});

export {
  s,
  l,
  s2,
  t3 as t,
  o2 as o,
  o3 as o2,
  l2,
  I,
  u,
  s4 as s3,
  T,
  y,
  S,
  X,
  D,
  R,
  o6 as o3
};
