import { BuildOptions, BuildResult } from 'esbuild';
import { Emitter } from '../util/Emitter.js';
export type BuildInfo = {
    type: 'start';
    result: undefined;
} | {
    type: 'done';
    result: BuildResult;
};
export declare function buildEmitter(config: BuildOptions): Emitter<BuildInfo>;
