import { Request, Response } from '@alinea/iso';
import { HandlerWithConnect } from 'alinea/backend/Handler';
import { CMS } from 'alinea/core/CMS';
import { User } from 'alinea/core/User';
import { ServeContext } from './ServeContext.js';
export declare function createLocalServer({ cmd, configLocation, rootDir, staticDir, alineaDev, buildOptions, production, liveReload }: ServeContext, cms: CMS, handleApi: HandlerWithConnect, user: User): {
    close(): void;
    handle(input: Request): Promise<Response>;
};
