import { History, RequestContext, Revision } from 'alinea/backend/Backend';
import { Config } from 'alinea/core/Config';
import { EntryRecord } from 'alinea/core/EntryRecord';
export declare class GitHistory implements History {
    config: Config;
    rootDir: string;
    constructor(config: Config, rootDir: string);
    list(ctx: RequestContext, file: string): Promise<Array<Revision>>;
    revision(ctx: RequestContext, file: string, ref: string): Promise<EntryRecord>;
}
