import { Request, Response } from '@alinea/iso';
interface RequestEvent {
    request: Request;
    respondWith(response: Response): Promise<void>;
}
export interface Server {
    port: number;
    serve(abortController?: AbortController): AsyncIterable<RequestEvent>;
    close(): void;
}
export declare function startNodeServer(port?: number, attempt?: number, silent?: boolean): Promise<Server>;
export {};
