import "../chunks/chunk-U5RRZUYZ.js";

// src/core/Field.ts
var Field = class _Field {
  static index = 0;
  constructor(data) {
    this[_Field.Data] = data;
    this[_Field.Ref] = Symbol(`Field.${data.options.label}.${_Field.index++}`);
  }
};
((Field2) => {
  Field2.Data = Symbol.for("@alinea/Field.Data");
  Field2.Value = Symbol.for("@alinea/Field.Value");
  Field2.Ref = Symbol.for("@alinea/Field.Self");
  function ref(field) {
    return field[Field2.Ref];
  }
  Field2.ref = ref;
  function shape(field) {
    return field[Field2.Data].shape;
  }
  Field2.shape = shape;
  function label(field) {
    return field[Field2.Data].options.label;
  }
  Field2.label = label;
  function view(field) {
    return field[Field2.Data].view;
  }
  Field2.view = view;
  function referencedViews(field) {
    const fieldView = Field2.view(field);
    if (typeof fieldView === "string")
      return [fieldView, ...field[Field2.Data].referencedViews];
    return field[Field2.Data].referencedViews;
  }
  Field2.referencedViews = referencedViews;
  function options(field) {
    return field[Field2.Data].options;
  }
  Field2.options = options;
  function isField(value) {
    return value && Boolean(value[Field2.Data]);
  }
  Field2.isField = isField;
})(Field || (Field = {}));
export {
  Field
};
