import "../../chunks/chunk-U5RRZUYZ.js";

// src/core/field/ScalarField.ts
import { Field } from "../Field.js";
import { ScalarShape } from "../shape/ScalarShape.js";
var ScalarField = class extends Field {
  constructor(meta) {
    super({
      shape: new ScalarShape(
        meta.options.label,
        meta.options.initialValue,
        meta.options.searchable
      ),
      referencedViews: [],
      ...meta
    });
  }
};
export {
  ScalarField
};
