import "../../chunks/chunk-U5RRZUYZ.js";

// src/core/media/IsImage.ts
var imageExtensions = [
  ".jpg",
  ".jpeg",
  ".png",
  ".gif",
  ".bmp",
  ".webp",
  ".avif",
  ".heic",
  ".svg"
];
function isImage(pathOrExtension) {
  const extension = pathOrExtension.toLowerCase().split(".").pop();
  return extension && imageExtensions.includes(`.${extension}`);
}
export {
  imageExtensions,
  isImage
};
