import { Type } from '../Type.js';
export type MediaLibrary = Type.Infer<typeof MediaLibrary>;
export declare const MediaLibrary: Type<{
    title: import("alinea/field/hidden").HiddenField<string>;
    path: import("alinea/field/hidden").HiddenField<string>;
}>;
export type MediaFile = Type.Infer<typeof MediaFile>;
export declare const MediaFile: Type<{
    title: import("alinea/field/text/TextField").TextField;
    path: import("alinea/field/hidden").HiddenField<string>;
    location: import("alinea/field/hidden").HiddenField<string>;
    extension: import("alinea/field/hidden").HiddenField<string>;
    size: import("alinea/field/hidden").HiddenField<number>;
    hash: import("alinea/field/hidden").HiddenField<string>;
    width: import("alinea/field/hidden").HiddenField<number>;
    height: import("alinea/field/hidden").HiddenField<number>;
    preview: import("alinea/field/hidden").HiddenField<string>;
    averageColor: import("alinea/field/hidden").HiddenField<string>;
    focus: import("alinea/field/hidden").HiddenField<{
        x: number;
        y: number;
    }>;
    thumbHash: import("alinea/field/hidden").HiddenField<string>;
}>;
