import { Schema } from '../Schema.js';
export declare function summarySelection(schema: Schema): {
    entryId: import("../pages/Expr.js").Expr<string>;
    i18nId: import("../pages/Expr.js").Expr<string>;
    type: import("../pages/Expr.js").Expr<string>;
    workspace: import("../pages/Expr.js").Expr<string>;
    root: import("../pages/Expr.js").Expr<string>;
    title: import("../pages/Expr.js").Expr<string>;
    extension: import("alinea/field/hidden").HiddenField<string>;
    size: import("alinea/field/hidden").HiddenField<number>;
    preview: import("alinea/field/hidden").HiddenField<string>;
    thumbHash: import("alinea/field/hidden").HiddenField<string>;
    averageColor: import("alinea/field/hidden").HiddenField<string>;
    focus: import("alinea/field/hidden").HiddenField<{
        x: number;
        y: number;
    }>;
    width: import("alinea/field/hidden").HiddenField<number>;
    height: import("alinea/field/hidden").HiddenField<number>;
    parents: import("../pages/Cursor.js").Cursor.Find<{
        entryId: string;
        i18nId: string;
        title: string;
    }>;
    childrenAmount: import("../pages/Cursor.js").Cursor<number>;
};
export type SummaryProps = {
    entryId: string;
    i18nId: string;
    type: string;
    workspace: string;
    root: string;
    title: string;
    extension: string;
    size: number;
    preview: string;
    thumbHash: string;
    averageColor: string;
    focus: {
        x: number;
        y: number;
    };
    width: number;
    height: number;
    parents: Array<{
        entryId: string;
        i18nId: string;
        title: string;
    }>;
    childrenAmount: number;
};
