/** Accumulate all entries of an AsyncGenerator into an array */
export declare function accumulate<T>(gen: AsyncGenerator<T>): Promise<Array<T>>;
export declare function toGenerator<T>(iterable: Iterable<T>): AsyncGenerator<T>;
export declare function genEffect<T, TReturn>(gen: AsyncIterable<T, TReturn>, effect: (result: T) => void): AsyncIterable<T>;
