import {
  prettyMilliseconds
} from "../../chunks/chunk-7YXWNKGS.js";
import "../../chunks/chunk-U5RRZUYZ.js";

// src/core/util/Timer.ts
var out = globalThis.process ? process.stdout.write.bind(process.stdout) : console.log.bind(console);
function timer(name) {
  const startProgress = performance.now();
  out(`> ${name}\r`);
  return (msg) => {
    const duration = performance.now() - startProgress;
    out(`> ${msg || name} in ${prettyMilliseconds(duration)}
`);
  };
}
export {
  timer
};
