import { Config } from 'alinea/core/Config';
import { Connection } from 'alinea/core/Connection';
import { ComponentType, PropsWithChildren } from 'react';
import { QueryClient } from 'react-query';
export interface DashboardProps {
    config: Config;
    views: Record<string, ComponentType>;
    client: Connection;
    queryClient?: QueryClient;
    fullPage?: boolean;
    dev?: boolean;
    alineaDev?: boolean;
}
export declare function DashboardProvider(props: PropsWithChildren<DashboardProps>): import("react/jsx-runtime").JSX.Element;
