import {
  useAtomValue
} from "../chunks/chunk-WF77DMLN.js";
import "../chunks/chunk-OBOPLPUQ.js";
import {
  QueryClientProvider
} from "../chunks/chunk-DJKGEOOC.js";
import "../chunks/chunk-U5RRZUYZ.js";

// src/dashboard/DashboardProvider.tsx
import {
  queryClientAtom,
  useSetDashboardOptions
} from "./atoms/DashboardAtoms.js";
import { ModalPortal } from "./view/Modal.js";
import { jsx, jsxs } from "react/jsx-runtime";
function DashboardProvider(props) {
  const fullPage = props.fullPage !== false;
  useSetDashboardOptions({ fullPage, ...props });
  const queryClient = useAtomValue(queryClientAtom);
  return /* @__PURE__ */ jsxs(QueryClientProvider, { client: queryClient, children: [
    props.children,
    /* @__PURE__ */ jsx(ModalPortal, {})
  ] });
}
export {
  DashboardProvider
};
