import { Graph } from 'alinea/core/Graph';
import { Mutation } from 'alinea/core/Mutation';
export declare const persistentStoreAtom: import("jotai").Atom<Promise<import("../util/PersistentStore.js").PersistentStore>>;
export declare const dbMetaAtom: import("jotai").Atom<Promise<{
    commitHash: string;
    contentHash: string;
    modifiedAt: number;
}>>;
export declare const mutateAtom: import("jotai").WritableAtom<null, [mutations: Mutation[], optimistic?: unknown], Promise<void>> & {
    init: null;
};
export declare const dbUpdateAtom: import("jotai").WritableAtom<null, [force?: boolean | undefined], Promise<void>> & {
    init: null;
};
export declare const graphAtom: import("jotai").Atom<Promise<Graph>>;
export declare const changedEntriesAtom: import("jotai").WritableAtom<string[], [i18nIds: string[]], void>;
export declare const entryRevisionAtoms: import("jotai/vanilla/utils/atomFamily.js").AtomFamily<string, import("jotai").WritableAtom<number, [], void>>;
export declare function useMutate(): (mutations: Mutation[], optimistic?: unknown) => Promise<void>;
export declare function useDbUpdater(everySeconds?: number): void;
