import {
  atom
} from "../../chunks/chunk-OBOPLPUQ.js";
import "../../chunks/chunk-U5RRZUYZ.js";

// src/dashboard/atoms/YAtom.ts
function yAtom(yType, get) {
  const revision = atom(0);
  revision.onMount = (setAtom) => {
    const onChange = (events, tx) => {
      if (tx.origin === "self")
        return;
      setAtom((x) => x + 1);
    };
    yType.observeDeep(onChange);
    return () => yType.unobserveDeep(onChange);
  };
  return atom((g) => {
    g(revision);
    return get();
  });
}
export {
  yAtom
};
