import { Field } from 'alinea/core/Field';
import { Type } from 'alinea/core/Type';
import { FormAtoms } from '../atoms/FormAtoms.js';
export type InputFormProps = {
    border?: boolean;
} & ({
    type: Type;
    form?: undefined;
} | {
    form: FormAtoms<any>;
    type?: undefined;
});
export declare function InputForm(props: InputFormProps): import("react/jsx-runtime").JSX.Element;
export interface FieldsProps {
    fields: Record<string, Field>;
    border?: boolean;
}
export declare function Fields({ fields, border }: FieldsProps): import("react/jsx-runtime").JSX.Element | null;
export interface MissingViewProps {
    field: Field<any, any>;
}
export declare function MissingView({ field }: MissingViewProps): import("react/jsx-runtime").JSX.Element;
export interface InputFieldProps<V, M> {
    field: Field<V, M>;
}
export declare function InputField<V, M>({ field }: InputFieldProps<V, M>): import("react/jsx-runtime").JSX.Element | null;
