import {
  useAtomValue,
  useSetAtom
} from "../../chunks/chunk-WF77DMLN.js";
import "../../chunks/chunk-OBOPLPUQ.js";
import "../../chunks/chunk-U5RRZUYZ.js";

// src/dashboard/hook/UsePreferences.tsx
import {
  languagePreferenceAtom,
  preferencesAtom,
  schemePreferenceAtom,
  sizePreferenceAtom,
  toggleSchemePreferenceAtom,
  workspacePreferenceAtom
} from "../atoms/PreferencesAtoms.js";
var usePreferences = () => useAtomValue(preferencesAtom);
var useSchemePreference = () => useAtomValue(schemePreferenceAtom);
var useToggleSchemePreference = () => useSetAtom(toggleSchemePreferenceAtom);
var useWorkspacePreference = () => useAtomValue(workspacePreferenceAtom);
var useSizePreference = () => useAtomValue(sizePreferenceAtom);
var useLanguagePreference = () => useAtomValue(languagePreferenceAtom);
export {
  useLanguagePreference,
  usePreferences,
  useSchemePreference,
  useSizePreference,
  useToggleSchemePreference,
  useWorkspacePreference
};
