import { ComponentType, HTMLAttributes, HTMLProps } from 'react';
export declare namespace Create {
    interface RootProps extends HTMLAttributes<HTMLDivElement> {
        disabled?: boolean;
    }
    function Root({ disabled, ...props }: RootProps): import("react/jsx-runtime").JSX.Element;
    type Props = {
        icon?: ComponentType;
    };
    function Link({ children, icon: Icon, ...props }: HTMLProps<HTMLAnchorElement> & Props): import("react/jsx-runtime").JSX.Element;
    function Button({ children, icon: Icon, ...props }: HTMLAttributes<HTMLButtonElement> & Props): import("react/jsx-runtime").JSX.Element;
}
