import {
  dist_default
} from "../../chunks/chunk-ANJZSESR.js";
import "../../chunks/chunk-U5RRZUYZ.js";

// src/dashboard/view/RootOverview.tsx
import { Icon, TextLabel, Typo } from "alinea/ui";
import { Main } from "alinea/ui/Main";
import { IcRoundDescription } from "alinea/ui/icons/IcRoundDescription";
import { Head } from "../util/Head.js";

// src/dashboard/view/RootOverview.module.scss
var RootOverview_module_default = {
  "root": "alinea-RootOverview",
  "root-icon": "alinea-RootOverview-icon",
  "rootIcon": "alinea-RootOverview-icon"
};

// src/dashboard/view/RootOverview.tsx
import { Fragment, jsx, jsxs } from "react/jsx-runtime";
var styles = dist_default(RootOverview_module_default);
function RootOverview({ root }) {
  return /* @__PURE__ */ jsxs(Fragment, { children: [
    /* @__PURE__ */ jsx(Head, { children: /* @__PURE__ */ jsx("title", { children: root.label }) }),
    /* @__PURE__ */ jsx(Main, { children: /* @__PURE__ */ jsxs("div", { className: styles.root(), children: [
      /* @__PURE__ */ jsx(
        Icon,
        {
          icon: root.icon || IcRoundDescription,
          className: styles.root.icon()
        }
      ),
      /* @__PURE__ */ jsx(Typo.H1, { children: /* @__PURE__ */ jsx(TextLabel, { label: root.label }) }),
      /* @__PURE__ */ jsxs(Typo.P, { style: { textAlign: "center" }, children: [
        "Select an entry in the navigation tree",
        /* @__PURE__ */ jsx("br", {}),
        "on the left to start editing"
      ] })
    ] }) })
  ] });
}
export {
  RootOverview
};
