import { HTMLProps, PropsWithChildren } from 'react';
export declare namespace Sidebar {
    function use(): {
        isNavOpen: boolean;
        isPreviewOpen: boolean;
        toggleNav: () => void;
        togglePreview: () => void;
    };
    function Provider({ children }: PropsWithChildren<{}>): import("react/jsx-runtime").JSX.Element;
    function Tree({ children, ...props }: PropsWithChildren<HTMLProps<HTMLElement>>): import("react/jsx-runtime").JSX.Element;
    function Preview({ children }: PropsWithChildren<{}>): import("react/jsx-runtime").JSX.Element;
    function Nav({ children }: PropsWithChildren<{}>): import("react/jsx-runtime").JSX.Element;
    namespace Nav {
        type ItemProps = PropsWithChildren<HTMLProps<HTMLAnchorElement> & {
            selected?: boolean;
            badge?: number;
        }>;
        function Item({ children, selected, badge, ...props }: ItemProps): import("react/jsx-runtime").JSX.Element;
    }
}
export declare const useSidebar: typeof Sidebar.use;
