import { IcOutlineArrowCircleRight } from 'alinea/ui/icons/IcOutlineArrowCircleRight';
import { IcRoundAddCircleOutline } from 'alinea/ui/icons/IcRoundAddCircleOutline';
import { IcRoundRemoveCircleOutline } from 'alinea/ui/icons/IcRoundRemoveCircleOutline';
import { PropsWithChildren } from 'react';
declare const icons: {
    keep: typeof IcOutlineArrowCircleRight;
    addition: typeof IcRoundAddCircleOutline;
    removal: typeof IcRoundRemoveCircleOutline;
};
export type ChangeBoxProps = PropsWithChildren<{
    change: keyof typeof icons | 'equal';
}>;
export declare function ChangeBox({ change, children }: ChangeBoxProps): import("react/jsx-runtime").JSX.Element;
export {};
