import { type TextDoc } from 'alinea/core/TextDoc';
import { RichTextShape } from 'alinea/core/shape/RichTextShape';
import { ComponentType } from 'react';
import { FieldsDiffProps } from './FieldsDiff.js';
export type RichTextDiffProps = {
    FieldsDiff: ComponentType<FieldsDiffProps>;
    shape: RichTextShape<any>;
    valueA: TextDoc<any>;
    valueB: TextDoc<any>;
};
export declare function RichTextDiff({ FieldsDiff, shape, valueA, valueB }: RichTextDiffProps): import("react/jsx-runtime").JSX.Element;
