import {
  dist_default
} from "../../../chunks/chunk-ANJZSESR.js";
import "../../../chunks/chunk-U5RRZUYZ.js";

// src/dashboard/view/entry/EntryNotice.tsx
import { HStack, Icon } from "alinea/ui";
import { Lift } from "alinea/ui/Lift";

// src/dashboard/view/entry/EntryNotice.module.scss
var EntryNotice_module_default = {
  "root": "alinea-EntryNotice",
  "root-title": "alinea-EntryNotice-title",
  "rootTitle": "alinea-EntryNotice-title",
  "is-draft": "alinea-EntryNotice-is-draft",
  "isDraft": "alinea-EntryNotice-is-draft",
  "is-published": "alinea-EntryNotice-is-published",
  "isPublished": "alinea-EntryNotice-is-published",
  "is-archived": "alinea-EntryNotice-is-archived",
  "isArchived": "alinea-EntryNotice-is-archived",
  "is-publishing": "alinea-EntryNotice-is-publishing",
  "isPublishing": "alinea-EntryNotice-is-publishing"
};

// src/dashboard/view/entry/EntryNotice.tsx
import { jsx, jsxs } from "react/jsx-runtime";
var styles = dist_default(EntryNotice_module_default);
function EntryNotice({
  icon,
  title,
  variant,
  children
}) {
  return /* @__PURE__ */ jsx(Lift, { className: styles.root(variant), children: /* @__PURE__ */ jsxs(HStack, { center: true, gap: 22, children: [
    icon && /* @__PURE__ */ jsx("div", { children: /* @__PURE__ */ jsx(Icon, { icon, size: 24 }) }),
    /* @__PURE__ */ jsxs("div", { children: [
      /* @__PURE__ */ jsx("h2", { className: styles.root.title(), children: title }),
      children
    ] })
  ] }) });
}
export {
  EntryNotice
};
