import { EntryRow } from 'alinea/core/EntryRow';
import { Schema } from 'alinea/core/Schema';
import { SummaryProps } from 'alinea/core/media/Summary';
import { Cursor } from 'alinea/core/pages/Cursor';
import { ComponentType } from 'react';
export type ExplorerRowProps = {
    schema: Schema;
    cursor: Cursor.Find<EntryRow>;
    batchSize: number;
    amount: number;
    from: number;
    summaryView: 'summaryRow' | 'summaryThumb';
    defaultView: ComponentType<SummaryProps>;
};
export declare const ExplorerRow: import("react").NamedExoticComponent<ExplorerRowProps>;
