import { FieldOptions, WithoutLabel } from 'alinea/core';
import { ScalarField } from 'alinea/core/field/ScalarField';
export interface CodeFieldOptions extends FieldOptions<string> {
    width?: number;
    help?: string;
    inline?: boolean;
    language?: string;
}
export declare class CodeField extends ScalarField<string, CodeFieldOptions> {
}
export declare function code(label: string, options?: WithoutLabel<CodeFieldOptions>): CodeField;
