import { Reference } from 'alinea/core/Reference';
import type { HTMLProps } from 'react';
interface Anchor extends HTMLProps<HTMLAnchorElement> {
    'data-id'?: string;
    'data-entry'?: string;
    'data-link'?: 'entry' | 'file' | 'url';
}
export declare function referenceToAttributes(reference: Reference): Anchor;
export declare function attributesToReference(attributes: Anchor): Reference | undefined;
export {};
