import {
  Mark,
  mergeAttributes
} from "../../../chunks/chunk-QOWSW6DW.js";
import "../../../chunks/chunk-U5RRZUYZ.js";

// src/field/richtext/extensions/Small.ts
var Small = Mark.create({
  name: "small",
  addOptions() {
    return {
      HTMLAttributes: {}
    };
  },
  parseHTML() {
    return [
      {
        tag: "small"
      }
    ];
  },
  renderHTML({ HTMLAttributes }) {
    return [
      "small",
      mergeAttributes(this.options.HTMLAttributes, HTMLAttributes),
      0
    ];
  },
  addCommands() {
    return {
      setSmall: () => ({ commands }) => {
        return commands.setMark(this.name);
      },
      toggleSmall: () => ({ commands }) => {
        return commands.toggleMark(this.name);
      },
      unsetSmall: () => ({ commands }) => {
        return commands.unsetMark(this.name);
      }
    };
  }
});
var Small_default = Small;
export {
  Small_default as default
};
