import { Picker } from 'alinea/core/Picker';
import { Reference } from 'alinea/core/Reference';
import { Type } from 'alinea/core/Type';
export interface UrlReference extends Reference {
    _type: 'url';
    _url: string;
    _title: string;
    _target: string;
}
export declare namespace UrlReference {
    const url = "_url";
    const title = "_title";
    const target = "_target";
    function isUrl(value: any): value is UrlReference;
}
export interface UrlPickerOptions<Definition> {
    fields?: Definition | Type<Definition>;
}
export declare function urlPicker<Fields>(options: UrlPickerOptions<Fields>): Picker<UrlReference>;
