import { ComponentType, HTMLAttributes } from 'react';
import { PropsWithAs } from './util/PropsWithAs.js';
export declare namespace AppBar {
    interface RootProps extends HTMLAttributes<HTMLElement> {
        variant?: 'draft' | 'editing' | 'published' | 'archived' | 'untranslated' | 'revision' | 'transition';
    }
    function Root({ variant, ...props }: RootProps): import("react/jsx-runtime").JSX.Element;
    type ItemProps = PropsWithAs<{
        icon?: ComponentType;
        full?: boolean;
        active?: boolean;
    } & HTMLAttributes<HTMLDivElement>>;
    function Item({ children, as: Tag, full, icon, active, ...props }: ItemProps): import("react/jsx-runtime").JSX.Element;
}
