import "../chunks/chunk-U5RRZUYZ.js";

// src/ui/ErrorMessage.tsx
import { IcRoundWarning } from "./icons/IcRoundWarning.js";
import { HStack } from "./Stack.js";
import { Typo } from "./Typo.js";
import { px } from "./util/Units.js";
import { jsx, jsxs } from "react/jsx-runtime";
function ErrorMessage({ error }) {
  return /* @__PURE__ */ jsxs(HStack, { center: true, gap: 10, style: { padding: px(25), width: "100%" }, children: [
    /* @__PURE__ */ jsx(IcRoundWarning, { style: { fontSize: px(20) } }),
    /* @__PURE__ */ jsx(Typo.Monospace, { children: typeof error === "string" ? error : error.message })
  ] });
}
export {
  ErrorMessage
};
