import { ComponentType, HTMLAttributes, ReactNode } from 'react';
export type IconProps = {
    icon: ComponentType | ReactNode;
    size?: number;
    active?: boolean;
    round?: boolean;
    variant?: 'info' | 'success' | 'disabled' | 'progress';
} & HTMLAttributes<HTMLSpanElement>;
export declare function Icon({ icon, size, round, active, variant, ...props }: IconProps): import("react/jsx-runtime").JSX.Element | null;
