import {
  dist_default
} from "../chunks/chunk-ANJZSESR.js";
import "../chunks/chunk-U5RRZUYZ.js";

// src/ui/Loader.module.scss
var Loader_module_default = {
  "loader": "alinea-Loader-loader",
  "fadein": "alinea-Loader-fadein",
  "loader-inner": "alinea-Loader-loader-inner",
  "loaderInner": "alinea-Loader-loader-inner",
  "load8": "alinea-Loader-load8",
  "is-absolute": "alinea-Loader-is-absolute",
  "isAbsolute": "alinea-Loader-is-absolute"
};

// src/ui/Loader.tsx
import { jsx } from "react/jsx-runtime";
var styles = dist_default(Loader_module_default);
function Loader({ light, absolute, size = 22, ...props }) {
  return /* @__PURE__ */ jsx(
    "div",
    {
      style: { fontSize: size },
      className: styles.loader.mergeProps(props)({ absolute }),
      children: /* @__PURE__ */ jsx("div", { ...props, className: styles.loader.inner() })
    }
  );
}
export {
  Loader
};
