import { Tab } from '@headlessui/react';
import { ComponentPropsWithoutRef, PropsWithChildren } from 'react';
export declare namespace Tabs {
    const Root: typeof Tab.Group;
    function List({ backdrop, ...props }: PropsWithChildren<ComponentPropsWithoutRef<typeof Tab> & {
        backdrop?: boolean;
    }>): import("react/jsx-runtime").JSX.Element;
    function Trigger(props: PropsWithChildren<ComponentPropsWithoutRef<typeof Tab>>): import("react/jsx-runtime").JSX.Element;
    const Panels: typeof Tab.Panels;
    const Panel: typeof Tab.Panel;
}
