export declare const Typo: (({ children, align }: import("react").PropsWithChildren<{
    align?: "left" | "right" | "center";
}>) => import("react/jsx-runtime").JSX.Element) & {
    H1: import("./util/PropsWithAs").ComponentWithAs<{
        flat?: boolean;
        light?: boolean;
    }, "h1">;
    H2: import("./util/PropsWithAs").ComponentWithAs<{
        flat?: boolean;
        light?: boolean;
    }, "h2">;
    H3: import("./util/PropsWithAs").ComponentWithAs<{
        flat?: boolean;
        light?: boolean;
    }, "h3">;
    H4: import("./util/PropsWithAs").ComponentWithAs<{
        flat?: boolean;
        light?: boolean;
    }, "h4">;
    H5: import("./util/PropsWithAs").ComponentWithAs<{
        flat?: boolean;
        light?: boolean;
    }, "h5">;
    P: import("./util/PropsWithAs").ComponentWithAs<{
        flat?: boolean;
        light?: boolean;
    }, "p">;
    Link: import("react").ForwardRefExoticComponent<Omit<import("react").HTMLProps<HTMLAnchorElement>, "ref"> & import("react").RefAttributes<HTMLAnchorElement>>;
    link: import("@alinea/styler").GenericStyles | import("@alinea/styler").Styler<string>;
    Monospace: import("./util/PropsWithAs").ComponentWithAs<{}, "span">;
    Small: import("./util/PropsWithAs").ComponentWithAs<{
        flat?: boolean;
        light?: boolean;
    }, "small">;
};
