import {
  dist_default
} from "../../chunks/chunk-ANJZSESR.js";
import "../../chunks/chunk-U5RRZUYZ.js";

// src/ui/branding/LogoShape.module.scss
var LogoShape_module_default = {
  "root": "alinea-LogoShape",
  "root-bg": "alinea-LogoShape-bg",
  "rootBg": "alinea-LogoShape-bg"
};

// src/ui/branding/LogoShape.tsx
import { jsx, jsxs } from "react/jsx-runtime";
var styles = dist_default(LogoShape_module_default);
function LogoShape({
  children,
  foreground = `var(--alinea-accent-foreground)`,
  background = `var(--alinea-accent)`,
  ...props
}) {
  return /* @__PURE__ */ jsxs(
    "div",
    {
      style: { color: foreground },
      className: styles.root.mergeProps(props)(),
      children: [
        /* @__PURE__ */ jsx(
          "svg",
          {
            className: styles.root.bg(),
            viewBox: "0 0 36 36",
            fill: "none",
            xmlns: "http://www.w3.org/2000/svg",
            preserveAspectRatio: "none",
            children: /* @__PURE__ */ jsx(
              "path",
              {
                d: "M18 36C25.884 36 29.9427 36 32.8047 33.138C35.6667 30.276 36 25.884 36 18C36 10.116 35.6667 6.05733 32.8047 3.19533C29.9427 0.333333 25.884 0 18 0C10.116 0 6.05733 0.333333 3.19533 3.19533C0.333333 6.05733 0 10.116 0 18C0 25.884 0.333333 29.9427 3.19533 32.8047C6.05733 35.6667 10.116 36 18 36Z",
                fill: background
              }
            )
          }
        ),
        children
      ]
    }
  );
}
export {
  LogoShape
};
