export type ColorScheme = 'light' | 'dark' | undefined;
export type ColorSchemeContext = [ColorScheme, () => void];
export declare function useColorScheme(): ColorSchemeContext;
export declare const ColorSchemeProvider: import("react").Provider<ColorSchemeContext | undefined>;
