import "../../chunks/chunk-U5RRZUYZ.js";

// src/ui/hook/UseContrastColor.ts
import { useMemo } from "react";
import { contrastColor } from "../util/ContrastColor.js";
function useContrastColor(color) {
  if (!color)
    return void 0;
  return useMemo(() => contrastColor(color), [color]);
}
export {
  useContrastColor
};
