import "../../chunks/chunk-U5RRZUYZ.js";

// src/ui/hook/UseInitialEffect.ts
import { useEffect, useRef } from "react";
var useInitialEffect = (effect) => {
  const initial = useRef(true);
  useEffect(() => {
    if (!initial.current)
      return;
    initial.current = false;
    return effect();
  }, []);
};
export {
  useInitialEffect
};
