import { ComponentType, HTMLProps, PropsWithChildren } from 'react';
type Slots = {
    Provider: ComponentType<PropsWithChildren<{}>>;
    Portal: ComponentType<HTMLProps<HTMLDivElement>>;
    Slot: ComponentType<PropsWithChildren<{}>>;
    useSlots: () => {
        shown: boolean;
    };
};
export declare function createSlots(): Slots;
export {};
